Index: branches/libIGCM_CESMEP/ins_job
===================================================================
--- branches/libIGCM_CESMEP/ins_job	(revision 1567)
+++ branches/libIGCM_CESMEP/ins_job	(revision 1585)
@@ -116,8 +116,11 @@
 #  { print - "directory 'modipsl' unreachable"; exit 3; }
 W_W=${d_n}'/../libIGCM'
+#W_W=${d_n}  # S.Senesi - not sure of the intent in line above, but that clashes with using a symbolic link for libIGCM in modipsl/, which is must useful for development
 [[ ! -d ${W_W} ]] && { print - "${W_W} unreachable"; exit 3; }
 libIGCM=$(cd ${W_W};/bin/pwd;)
 F_JOB=${libIGCM}'/AA_job';
 [[ ! -f ${F_JOB} ]] && { print - "${F_JOB} unreachable"; exit 3; }
+F_JOB_DEBUG=${libIGCM}'/AA_job_debug';
+[[ ! -f ${F_JOB_DEBUG} ]] && { print - "${F_JOB_DEBUG} unreachable"; exit 3; }
 F_RCI=${libIGCM}'/run.card.init';
 [[ ! -f ${F_RCI} ]] && { print - "${F_RCI} unreachable"; exit 3; }
@@ -404,5 +407,5 @@
   echo MPIEnvironment is ${MPIEnvironment}
 
-elif [ X"${SYSTEM}" == "Xlxiv8" ] || [ X"${SYSTEM}" == "Xifort_CICLAD" ] ; then
+elif [ X"${SYSTEM}" == "Xobelix" ] || [ X"${SYSTEM}" == "Xifort_CICLAD" ] ; then
   # obelix, ciclad, climserv
   echo ""
@@ -558,4 +561,19 @@
   # openMPthreads : NUMBER OF OpenMP THREADS
 
+  # File name for Job_debug
+  n_f='Job_debug_'${JobName};
+  [[ ${x_v} = 'verbose' ]] && print - "\nWorking with file ${F_CFG}\nin directory ${j}\nfor ${n_f}";
+  sed -e "/^${W_W} */ s///" \
+      -e "/^${W_P}/d"       \
+      -e "s%::modipsl::%${F_MOD}%" \
+      -e "s/::Jobname::/${JobName}/" \
+      -e "s/::default_project::/${ProjectID}/" \
+      -e "s/::WallTime::/${WallTime}/" \
+      ${F_JOB_DEBUG} > ${libIGCM}'/'${n_f}
+  chmod u+x ${libIGCM}'/'${n_f}
+
+  # update Headers so that ressources description are accurate (MPMD/SPMD/...)
+  IGCM_sys_updateHeaders ${libIGCM}'/'${n_f}
+
   # File name for Job
   n_f='Job_'${JobName};
@@ -573,4 +591,5 @@
   # update Headers so that ressources description are accurate (MPMD/SPMD/...)
   IGCM_sys_updateHeaders ${j}'/'${n_f}
+  
 done
 
@@ -583,4 +602,5 @@
   i_f=${i##*/};
   [[ ${i_f} = 'AA_job' ]] && { continue; }
+  [[ ${i_f} = 'AA_job_debug' ]]  && { continue; }
   j=${i%/*}; n_f=${i_f#AA_}'.job';
   [[ ${x_f} = 'false' ]] && [[ -f ${j}'/'${n_f} ]] && { ins_job_Warning; continue; }
Index: branches/libIGCM_CESMEP/libIGCM_card/libIGCM_card.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_card/libIGCM_card.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_card/libIGCM_card.ksh	(revision 1585)
@@ -323,8 +323,9 @@
     echo "Check libIGCM_card ...........................................[ FAILED ]"
     echo "--Error--> Execution of ${libIGCM}/libIGCM_card/IGCM_card_Test.ksh"
-    echo "           has produced the file IGCM_card_Test.ref.failed"
-    echo "           Please analyse differences with the reference file by typing:"
-    echo "           diff IGCM_card_Test.ref.failed ${libIGCM}/libIGCM_card/IGCM_card_Test.ref"
-    echo "           Report errors to the author: Patrick.Brockmann@cea.fr"
+    echo "           has produced an error in the checking phase"
+    echo "           If you are working on TGCC computer : please verify if your login is in the groupe igcmg"
+    echo "           if not, ask to hotline to be add to this group"
+    echo "           If this is not the solution to your problem, verify you didn't made any modifications"
+    echo "           in libIGCM_sys, libIGCM_debug, libIGCM_card"
     diff ${libIGCM}/libIGCM_card/IGCM_card_Test.ref <(${libIGCM}/libIGCM_card/IGCM_card_Test.ksh)
     IGCM_debug_Exit "IGCM_card_Check"
Index: branches/libIGCM_CESMEP/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_comp/libIGCM_comp.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_comp/libIGCM_comp.ksh	(revision 1585)
@@ -1031,10 +1031,4 @@
   fi
 
-# Test on compiler version for IPSLCM6* configuration on irene (only for CMIP6 production)
-  if [ ${SYSTEM} = irene ]; then
-    if ( [ X"$( echo ${config_UserChoices_LongName} | grep IPSLCM6.0.13 )" != "X" ] && [ X${compilerFull} != XV17 ] )  || ( [ X"$( echo ${config_UserChoices_LongName} | grep IPSLCM6.0.14 )" != "X" ] && [ X${compilerFull} != XV17 ] ) || ( [ X"$( echo ${config_UserChoices_LongName} | grep IPSLCM6.0.15 )" != "X" ] && [ X${compilerFull} != XV17 ] ) || ( [ X"$( echo ${config_UserChoices_LongName} | grep IPSLCM6.1 )" != "X" ] && [ X${compilerFull} != XV17 ] ) || ( [ X"$( echo ${config_UserChoices_LongName} | grep IPSLCM5A2.1 )" != "X" ] && [ X${compilerFull} != XV17 ] ) ; then
-      IGCM_debug_Exit "IPSLCM6.0.13, IPSLCM6.0.14, IPSLCM6.0.15, IPSLCM6.1 and IPSLCM5A2.1 must be compiled with intel 2017 compiler"
-    fi
-  fi
 
   IGCM_debug_PopStack "IGCM_comp_GetInputBinaryFiles"
Index: branches/libIGCM_CESMEP/libIGCM_config/libIGCM_config.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_config/libIGCM_config.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_config/libIGCM_config.ksh	(revision 1585)
@@ -111,10 +111,53 @@
   if ( [ ! X${config_UserChoices_SpaceName} = X ] && [ ! X${config_UserChoices_ExperimentName} = X ] ) ; then
     FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
-    if ( [ ! X${config_Ensemble_EnsembleName} = X ] && [ ! X${config_Ensemble_EnsembleDate} = X ] ) ; then
-      R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${config_Ensemble_EnsembleName}/${config_Ensemble_EnsembleDate}/${FreeName}
-      R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${config_Ensemble_EnsembleName}/${config_Ensemble_EnsembleDate}/${FreeName}
-      R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${config_Ensemble_EnsembleName}/${config_Ensemble_EnsembleDate}/${FreeName}
-      R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${config_Ensemble_EnsembleName}/${config_Ensemble_EnsembleDate}/${FreeName}
-      R_CMIP=${CMIP6_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${config_Ensemble_EnsembleName}/${config_Ensemble_EnsembleDate}/${FreeName}
+
+    if ( [ X${config_Post_StorageCMIP} = XSCRATCH ] || [ X${config_Post_StorageCMIP} = Xscratch ] ) ; then
+      IGCM_debug_Print 1 "LIBIGCM CONFIG:: SCRATCH R_BUF=${R_BUF}"
+      StoreCMIP=${R_BUF}
+    elif ( [ X${config_Post_StorageCMIP} = XSTORE ] || [ X${config_Post_StorageCMIP} = Xstore ] ) ; then
+      IGCM_debug_Print 1 "LIBIGCM CONFIG:: SCRATCH R_OUT=${R_OUT}"
+      StoreCMIP=${R_OUT}
+    else
+      IGCM_debug_Print 1 "LIBIGCM CONFIG:: ELSE CMIP_BUF=${CMIP6_BUF}"
+      StoreCMIP=${CMIP6_BUF}
+    fi
+    # Ensemble cases (default all members outputs in same directory)
+    if ( [ ! X${config_Ensemble_EnsembleName} = X ] ) ; then
+      R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${config_Ensemble_EnsembleName}
+      R_FIGR=${R_FIG}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${config_Ensemble_EnsembleName}
+      R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${config_Ensemble_EnsembleName}
+      R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${config_Ensemble_EnsembleName}
+      R_CMIP=${StoreCMIP}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${config_Ensemble_EnsembleName}
+      IGCM_debug_Print 1 "LIBIGCM CONFIG:: ENSEMBLE R_CMIP=${R_CMIP}"
+
+      # PERTURB Ensemble Outputs
+      if ( [ X${config_Ensemble_EnsembleType} = XEns_PERTURB ] ) ; then
+	if ( [ ! X${config_Ensemble_EnsembleDate} = X ] ) ; then
+          R_SAVE=${R_SAVE}/${config_Ensemble_EnsembleDate}/${FreeName}
+	  R_FIGR=${R_FIGR}/${config_Ensemble_EnsembleDate}/${FreeName}
+	  R_BUFR=${R_BUFR}/${config_Ensemble_EnsembleDate}/${FreeName}
+	  R_DODS=${R_DODS}/${config_Ensemble_EnsembleDate}/${FreeName}
+	  R_CMIP=${R_CMIP}/${config_Ensemble_EnsembleDate}/${FreeName}
+	else
+	  R_SAVE=${R_SAVE}/${FreeName}
+	  R_FIGR=${R_FIGR}/${FreeName}
+	  R_BUFR=${R_BUFR}/${FreeName}
+	  R_DODS=${R_DODS}/${FreeName}
+	  R_CMIP=${R_CMIP}/${FreeName}
+	fi
+      # DATE Ensemble Outputs
+      elif ( [ X${config_Ensemble_EnsembleType} = XEns_DATE ] ) ; then
+	R_FIGR=${R_FIGR}/${FreeName}
+	R_BUFR=${R_BUFR}/${FreeName}
+	R_DODS=${R_DODS}/${FreeName}
+	IGCM_debug_Print 1 "LIBIGCM CONFIG:: ENSEMBLE DATE R_CMIP=${R_CMIP}"
+        if ( [ X${config_Ensemble_EnsembleMergeSave} = X ] || [ X${config_Ensemble_EnsembleMergeSave} = Xn ] || 
+	     [ X${config_Ensemble_EnsembleMergeSave} = Xno ] ) ; then
+	  # One SAVE directory per member, else common output dir for all members
+          R_SAVE=${R_SAVE}/${FreeName}
+	  R_CMIP=${R_CMIP}/${FreeName}
+	  IGCM_debug_Print 1 "LIBIGCM CONFIG:: ENSEMBLE DATE MERGE R_CMIP=${R_CMIP}"
+	fi
+      fi
     else
       R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
@@ -122,5 +165,5 @@
       R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
       R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
-      R_CMIP=${CMIP6_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+      R_CMIP=${StoreCMIP}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
     fi
   else
@@ -137,5 +180,7 @@
     fi
   fi
-
+  
+  IGCM_debug_Print 1 "LIBIGCM CONFIG:: R_CMIP = ${R_CMIP}"
+  
   #====================================================
   # Define R_OUT_KSH : Storage place for job output
Index: branches/libIGCM_CESMEP/libIGCM_date/libIGCM_date.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_date/libIGCM_date.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_date/libIGCM_date.ksh	(revision 1585)
@@ -1043,8 +1043,6 @@
     echo "Check libIGCM_date ...........................................[ FAILED ]"
     echo "--Error--> Execution of ${libIGCM}/libIGCM_date/IGCM_date_Test.ksh"
-    echo "           has produced the file IGCM_date_Test.ref.failed"
-    echo "           Please analyse differences with the reference file by typing:"
-    echo "           diff IGCM_date_Test.ref.failed ${libIGCM}/libIGCM_date/IGCM_date_Test${dY}.ref"
-    echo "           Report errors to the author: Sebastien.Denvil@ipsl.jussieu.fr"
+    echo "           has produced an error in the checking phase"
+    echo "           To solve it: verify you didn't made any modifications in libIGCM_debug or in libIGCM_date"
     diff ${libIGCM}/libIGCM_date/IGCM_date_Test${dY}.ref <(${libIGCM}/libIGCM_date/IGCM_date_Test.ksh)
     IGCM_debug_Exit "IGCM_date_Check"
Index: branches/libIGCM_CESMEP/libIGCM_debug/libIGCM_debug.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_debug/libIGCM_debug.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_debug/libIGCM_debug.ksh	(revision 1585)
@@ -1052,8 +1052,6 @@
     echo "Check libIGCM_debug ..........................................[ FAILED ]"
     echo "--Error--> Execution of ${libIGCM}/libIGCM_debug/IGCM_debug_Test.ksh"
-    echo "           has produced the file IGCM_debug_Test.ref.failed"
-    echo "           Please analyse differences with the reference file by typing:"
-    echo "           diff IGCM_debug_Test.ref.failed ${libIGCM}/libIGCM_debug/IGCM_debug_Test.ref"
-    echo "           Report errors to the author: Patrick.Brockmann@cea.fr"
+    echo "           has produced an error in the checking phase"
+    echo "           To solve it: verify you didn't made any modifications in libIGCM_debug"
     diff ${libIGCM}/libIGCM_debug/IGCM_debug_Test.ref <(${libIGCM}/libIGCM_debug/IGCM_debug_Test.ksh | sed -e "s:[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9] [0-9][0-9]\:[0-9][0-9]\:[0-9][0-9] ::g")
     exit 4
Index: branches/libIGCM_CESMEP/libIGCM_ensemble/libIGCM_ensemble.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_ensemble/libIGCM_ensemble.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_ensemble/libIGCM_ensemble.ksh	(revision 1585)
@@ -29,6 +29,6 @@
 #                         : removed Ens_PERTURB_PERTU_MAP_LIST case
 # 
-# Author: Simona Flavoni & Nicola Lebas
-# Contact: Simona.Flavoni__at__locean-ipsl.upmc.fr
+# Author: Simona Flavoni & Nicolas Lebas
+# Contact: Simona.Flavoni__at__locean.ipsl.fr & Nicolas.Lebas__at__locean.ipsl.fr
 # IPSL (2019)
 #**************************************************************
@@ -38,14 +38,22 @@
 {
   IGCM_debug_PushStack "IGCM_ensemble_Init"
-
+  
   IGCM_card_DefineVariableFromOption ${F_CFG_ENS} Ens_PERTURB active
   IGCM_card_DefineVariableFromOption ${F_CFG_ENS} Ens_DATE active
- 
-  Job_Period=10 # PARAMETER USED in function IGCM_ensemble_FilesUpdate
-
+  
+  Job_Period=10 # Default PARAMETER USED in function IGCM_ensemble_FilesUpdate
+  answer=""
+  print - "\nHit Enter or give PERIOD_NB for all member's Job (default is 10)"
+  read answer
+  
+  if [ "X${answer}" != "X" ] ; then
+      Job_Period=${answer}
+  fi
+  print "\nPeriodNb in ensemble Jobs is ${Job_Period}"
+  
   IGCM_debug_Print 1 "Ens_PERTURB ACTIVE     = ${ensemble_Ens_PERTURB_active}"
   IGCM_debug_Print 1 "Ens_DATE ACTIVE        = ${ensemble_Ens_DATE_active}"
   echo ""
-
+  
   #====================================================
   # Define ARCHIVE : Dedicated to large files
@@ -55,5 +63,5 @@
   # Define R_BUF   : USELESS and DEPRECATED output tree.
   IGCM_sys_defineArchives
-
+  
   IGCM_debug_PopStack "IGCM_ensemble_Init"
 }
@@ -139,8 +147,8 @@
   # ==> config.card
   # [ENSEMBLE]
-  IGCM_card_WriteOption ${SUBMIT_DIR}/${StartDir}/${MemberDir}/config.card Ensemble EnsembleRun 'y'
   IGCM_card_WriteOption ${SUBMIT_DIR}/${StartDir}/${MemberDir}/config.card Ensemble EnsembleName $(eval echo $\ensemble_Ens_${EnsembleType}_NAME)
   IGCM_card_WriteOption ${SUBMIT_DIR}/${StartDir}/${MemberDir}/config.card Ensemble EnsembleDate ${HumanDateBegin}
   IGCM_card_WriteOption ${SUBMIT_DIR}/${StartDir}/${MemberDir}/config.card Ensemble EnsembleType "Ens_${EnsembleType}"
+  IGCM_card_WriteOption ${SUBMIT_DIR}/${StartDir}/${MemberDir}/config.card Ensemble EnsembleMergeSave ${ensemble_Ens_DATE_MERGE_SAVE}
   
   # [UserChoices]
@@ -369,6 +377,8 @@
       IGCM_sys_Mkdir ${SUBMIT_DIR}/${StartDir}
       IGCM_sys_Cd ${SUBMIT_DIR}/${StartDir}
-      ln -s ../../.resol .
-      ln -s ../../.libmpi .
+      ln -s ../../.resol .                        # TODO: remove for future version (>6.1)
+      ln -s ../../.libmpi .                       # TODO: remove for future version (>6.1)
+      ln -s ../../SOURCES .
+      ln -s ../../ARCH .
       IGCM_sys_Cd ${RUN_DIR}
     fi
@@ -470,6 +480,8 @@
     IGCM_sys_Mkdir ${SUBMIT_DIR}/${StartDir}
     IGCM_sys_Cd ${SUBMIT_DIR}/${StartDir}
-    ln -s ../../.resol .
-    ln -s ../../.libmpi .
+    ln -s ../../.resol .                        # TODO: remove for future version (>6.1)
+    ln -s ../../.libmpi .                       # TODO: remove for future version (>6.1)
+    ln -s ../../SOURCES .
+    ln -s ../../ARCH .
     IGCM_sys_Cd ${RUN_DIR}
   fi
@@ -773,7 +785,5 @@
   IGCM_card_DefineVariableFromOption ${F_CFG_ENS} Ens_DATE active
   IGCM_card_DefineVariableFromOption ${F_CFG_ENS} Ens_DATE NAME
-  IGCM_card_DefineVariableFromOption ${F_CFG_ENS} Ens_DATE BEGIN_INIT
-  IGCM_card_DefineVariableFromOption ${F_CFG_ENS} Ens_DATE BEGIN_RESTART
-  IGCM_card_DefineVariableFromOption ${F_CFG_ENS} Ens_DATE END_INIT
+  IGCM_card_DefineVariableFromOption ${F_CFG_ENS} Ens_DATE MERGE_SAVE
   IGCM_card_DefineVariableFromOption ${F_CFG_ENS} Ens_DATE STARTDATE
   IGCM_card_DefineArrayFromOption    ${F_CFG_ENS} Ens_DATE NONPERIODIC
@@ -794,7 +804,5 @@
   IGCM_debug_Print 1 "ACTIVE               = ${ensemble_Ens_DATE_active}"
   IGCM_debug_Print 1 "NAME                 = ${ensemble_Ens_DATE_NAME}"
-  IGCM_debug_Print 1 "BEGIN_INIT           = ${ensemble_Ens_DATE_BEGIN_INIT}"
-  IGCM_debug_Print 1 "END_INIT             = ${ensemble_Ens_DATE_END_INIT}"
-  IGCM_debug_Print 1 "BEGIN_RESTART        = ${ensemble_Ens_DATE_BEGIN_RESTART}"
+  IGCM_debug_Print 1 "MERGE_SAVE           = ${ensemble_Ens_DATE_MERGE_SAVE}"
   IGCM_debug_Print 1 "STARTDATE            = ${ensemble_Ens_DATE_STARTDATE}"
   IGCM_debug_Print 1 "NONPERIODIC          = ${ensemble_Ens_DATE_NONPERIODIC[*]}"
@@ -828,8 +836,4 @@
   # A few checks for the Non-Periodic case:
   # ***************************************
-#  if [[ ${#ensemble_Ens_DATE_NONPERIODIC[*]} != ${#ensemble_Ens_DATE_RESTART_NONPERIODIC[*]} ]] ; then
-#    IGCM_debug_Exit "IGCM_ensemble_DateInit: NONPERIODIC and RESTART_NONPERIODIC lists have different sizes"
-#    IGCM_debug_Verif_Exit
-#  fi
 
   if [[ ${#ensemble_Ens_DATE_RESTART_NONPERIODIC[*]} > 0 ]] && [[ ${ensemble_Ens_DATE_RESTART_NONPERIODIC[*]} != _0_ ]]; then
@@ -837,13 +841,12 @@
 
     # Use LENGTH if no NONPERIODIC_LENGTH given
-    if [[ ${#ensemble_Ens_DATE_LENGTH_NONPERIODIC[*]} < ${#ensemble_Ens_DATE_NONPERIODIC[*]} ]] ||
-	   [[ X"${ensemble_Ens_DATE_LENGTH_NONPERIODIC[0]}" = "XOption" ]] ; then
+    if ( [ ${#ensemble_Ens_DATE_LENGTH_NONPERIODIC[*]} -lt ${#ensemble_Ens_DATE_NONPERIODIC[*]} ] || [[ "X${ensemble_Ens_DATE_LENGTH_NONPERIODIC[0]}" = "XOption" ]] ) ; then
 	IGCM_debug_Print 1 "WARNING: LENGTH_NONPERIODIC is not fill (or not correctly). "
 	IGCM_debug_Print 1 "Use LENGTH value '${ensemble_Ens_DATE_LENGTH}' for all NONPERIODIC runs"
-      DateNum=0
-      while [ ${DateNum} -lt ${#ensemble_Ens_DATE_NONPERIODIC[*]} ] ; do
-        ensemble_Ens_DATE_LENGTH_NONPERIODIC[${DateNum}]=${ensemble_Ens_DATE_LENGTH}
-        (( DateNum = DateNum + 1 ))
-      done
+	DateNum=0
+	while [ ${DateNum} -lt ${#ensemble_Ens_DATE_RESTART_NONPERIODIC[*]} ] ; do
+            ensemble_Ens_DATE_LENGTH_NONPERIODIC[${DateNum}]=${ensemble_Ens_DATE_LENGTH}
+            (( DateNum = DateNum + 1 ))
+	done
     fi
     
@@ -864,5 +867,5 @@
       IGCM_debug_Print 1 "WARNING: INITFROM_NONPERIODIC is not fill (or not correctly). Use INITFROM value '${ensemble_Ens_DATE_INITFROM}' for all NONPERIODIC runs"
       DateNum=0
-      while [ ${DateNum} -lt ${#ensemble_Ens_DATE_NONPERIODIC[*]} ] ; do
+      while [ ${DateNum} -lt ${#ensemble_Ens_DATE_RESTART_NONPERIODIC[*]} ] ; do
         ensemble_Ens_DATE_INITFROM_NONPERIODIC[${DateNum}]=${ensemble_Ens_DATE_INITFROM}
         (( DateNum = DateNum + 1 ))
@@ -874,5 +877,5 @@
       IGCM_debug_Print 1 "WARNING: INITPATH_NONPERIODIC is not fill (or not correctly). Use INITPATH value '${ensemble_Ens_DATE_INITPATH}' for all NONPERIODIC runs"
       DateNum=0
-      while [ ${DateNum} -lt ${#ensemble_Ens_DATE_NONPERIODIC[*]} ] ; do
+      while [ ${DateNum} -lt ${#ensemble_Ens_DATE_RESTART_NONPERIODIC[*]} ] ; do
         ensemble_Ens_DATE_INITPATH_NONPERIODIC[${DateNum}]=${ensemble_Ens_DATE_INITPATH}
         (( DateNum = DateNum + 1 ))
@@ -934,6 +937,8 @@
     IGCM_sys_Mkdir ${SUBMIT_DIR}/${StartDir}
     IGCM_sys_Cd ${SUBMIT_DIR}/${StartDir}
-    ln -s ../../.resol .
-    ln -s ../../.libmpi .
+    ln -s ../../.resol .                        # TODO: remove for future version (>6.1)
+    ln -s ../../.libmpi .                       # TODO: remove for future version (>6.1)
+    ln -s ../../SOURCES .
+    ln -s ../../ARCH .
     IGCM_sys_Cd ${RUN_DIR}
   fi
@@ -949,5 +954,10 @@
     (( ii=DateNum + 1 ))
     
-    MemberDir="${ensemble_Ens_DATE_NAME}${ii}"
+    # Member number on 2 digits (01 02 ... 10 11)
+    if (( ii < 10)) then
+	MemberDir="${ensemble_Ens_DATE_NAME}-0${ii}"
+    else
+	 MemberDir="${ensemble_Ens_DATE_NAME}-${ii}"
+    fi
     IGCM_debug_Print 3 "${MemberDir}"
     echo "Create: ${MemberDir}"
Index: branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys.ksh	(revision 1585)
@@ -81,6 +81,16 @@
         [ ! X${TaskType} = Xchecking ] && echo "Source machine dependent settings for obelix or asterix."
         CENTER=LSCE
-        SYSTEM=lxiv8
+        SYSTEM=obelix
         . ${libIGCM}/libIGCM_sys/libIGCM_sys_obelix.ksh;;
+    spiritx*)
+	    [ ! X${TaskType} = Xchecking ] && echo "Source machine dependent settings for spiritx at MESO ESPRI IPSL cluster."
+        CENTER=spiritx
+        SYSTEM=mesoipsl
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_mesoipsl.ksh;;
+    spirit*)
+	    [ ! X${TaskType} = Xchecking ] && echo "Source machine dependent settings for spirit at MESO ESPRI IPSL cluster."
+        CENTER=spirit
+        SYSTEM=mesoipsl
+        . ${libIGCM}/libIGCM_sys/libIGCM_sys_mesoipsl.ksh;;
     ciclad*)
         [ ! X${TaskType} = Xchecking ] && echo "Source machine dependent settings for ciclad for running at ciclad."
@@ -1631,4 +1641,64 @@
   IGCM_debug_PopStack "IGCM_sys_cdo"
 }
-
 # 
+#D-#==================================================
+#D-function IGCM_sys_create_run_dir
+#D-* Purpose: stop the simulation in order to work into the run_dir directory
+#D-* Examples:
+#D-
+function IGCM_sys_create_run_dir {
+  IGCM_debug_PushStack "IGCM_sys_create_run_dir"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_create_run_dir :"
+  fi
+  if [ -f ${libIGCM}/Job_debug_${config_UserChoices_JobName} ] ; then
+
+      CPL_comp=n ; SRF_comp=n ; OCE_comp=n ; CHM_comp=n
+      for comp in ${config_ListOfComponents[*]} ; do
+        [ "X${comp}" = "XCPL" ] && CPL_comp=y
+        [ "X${comp}" = "XSRF" ] && SRF_comp=y
+        [ "X${comp}" = "XOCE" ] && OCE_comp=y
+        [ "X${comp}" = "XCHM" ] && CHM_comp=y
+        eval ExeNameIn=\${config_Executable_${comp}[0]}
+        eval ExeNameOut=\${config_Executable_${comp}[1]}
+        if [ X${ExeNameIn} != X\"\" ] ; then
+          eval ExeNameIn=${ExeNameIn}
+          echo "$ExeNameIn"" ""$ExeNameOut" >> components_binary.txt 
+        fi
+      done
+   SUBMIT_DIRECTORY=$(grep SUBMIT_DIR ${libIGCM}/libIGCM_sys/libIGCM_sys_${SYSTEM}.ksh | grep -m1 typeset | cut -dx -f2)
+      sed -e "s%::EXECUTION::%${EXECUTION}%" \
+	  -e "s%::EXECUTION_TYPE::%${executionType}%" \
+          -e "s%::JOBNAME::%${config_UserChoices_JobName}%" \
+          -e "s%::SUBMIT_DIR::%${SUBMIT_DIRECTORY}%" \
+          -e "s%::CPL_comp::%${CPL_comp}%" \
+          -e "s%::OCE_comp::%${OCE_comp}%" \
+          -e "s%::SRF_comp::%${SRF_comp}%" \
+	  -e "s%::CHM_comp::%${CHM_comp}%" \
+	  ${libIGCM}/Job_debug_${config_UserChoices_JobName} > ${RUN_DIR}/Job_debug_${config_UserChoices_JobName}
+      cp ${EnvFile} ${RUN_DIR}/.
+      echo
+      echo "############################################"
+      echo "#    DEBUG PHASE : CREATION OF RUN_DIR    #"
+      echo "############################################"
+      echo
+      echo "You are in development or debug phase"
+      echo "You can run directly into the running directory which is here "
+      echo ${RUN_DIR}
+      echo "Inside the run directory you will find a Job_debug_${config_UserChoices_JobName}"
+      echo "to be used to launch the run as follows :"
+      echo "${SUBMIT} Job_debug_${config_UserChoices_JobName}"
+      exit
+  else
+      echo "############################################"
+      echo "#    DEBUG PHASE : CREATION OF RUN_DIR    #"
+      echo "############################################"
+      echo
+      echo "You are in development or debug phase"
+      echo "You can run directly into the running directory which is here "
+      echo ${RUN_DIR}
+      exit
+  fi
+ 
+  IGCM_debug_PopStack "IGCM_sys_create_run_dir"
+}
Index: branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_irene-amd.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_irene-amd.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_irene-amd.ksh	(revision 1585)
@@ -38,5 +38,11 @@
 #====================================================
 # Turn in dry run mode ? (sys_Put_Rest, sys_Put_Out, sys_Get)
-typeset -r DRYRUN=${DRYRUN:=0}
+if ([ X${DRYRUN} != X ] && [ ${DRYRUN} = 4 ]) ; then
+  typeset -r DRYRUN=0
+  typeset -r DRYRUN_DEBUG=4
+else
+  typeset -r DRYRUN=${DRYRUN:=0}
+  typeset -r DRYRUN_DEBUG=0
+fi
 
 # YOU MUST COMPILE YOUR EXE FILES FOR DRYRUN MODE !
@@ -54,4 +60,7 @@
 # |    3     |       yes           |    no      |  no     |      no                   |
 # -------------------------------------------------------------------------------------
+# |    4     |       yes           |    yes     |  creation of RUN_DIR and Job_debug  |
+# -------------------------------------------------------------------------------------
+
 
 #=====================================================
@@ -96,10 +105,16 @@
 # Set environment tools (ferret, nco, cdo, rebuild, ...)
 #====================================================
+typeset CCCOS=${CCCOS:=$( ccc_os )}
+
 if [ X${TaskType} = Xcomputing ] ; then
   IGCM_debug_Print 1 "Modules will be loaded later in IGCM_sys_activ_variables."
 else
   module purge > /dev/null 2>&1
-  . $( ccc_home -u igcmg)/MachineEnvironment/irene-amd/env_irene-amd > /dev/null 2>&1
-  . $( ccc_home -u igcmg)/MachineEnvironment/irene-amd/env_atlas_irene-amd > /dev/null 2>&1
+  if [ X${CCCOS} = X"Rhel_8__x86_64" ] ; then
+      . $( ccc_home -u igcmg)/MachineEnvironment/irene/env_atlas_irene > /dev/null 2>&1
+  else
+      . $( ccc_home -u igcmg)/MachineEnvironment/irene-amd_prev/env_irene-amd > /dev/null 2>&1
+      . $( ccc_home -u igcmg)/MachineEnvironment/irene-amd_prev/env_atlas_irene-amd > /dev/null 2>&1
+  fi
 
   export PCMDI_MP=/ccc/work/cont003/igcmg/igcmg/PCMDI-MP
@@ -112,8 +127,8 @@
 
 # For AddNoise and AddPertu3DOCE
-export PATH=${PATH}:$(ccc_home -u igcmg)/Tools/irene-amd/bin
+export PATH=${PATH}:$(ccc_home -u igcmg)/Tools/irene/bin
 
 # For rebuild
-export PATH=${PATH}:$(ccc_home -u igcmg)/Tools/irene-amd/rebuild/modipsl_IOIPSL_PLUS_v2_2_4/bin
+export PATH=${PATH}:$(ccc_home -u igcmg)/Tools/irene/rebuild/modipsl/bin
 
 #====================================================
@@ -942,8 +957,8 @@
 
     if [ "$#" -eq 1 ]; then
-      $(ccc_home -u igcmg)/Tools/irene-amd/thredds_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
+      $(ccc_home -u igcmg)/Tools/irene/thredds_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
       status=$?
     else
-      $(ccc_home -u igcmg)/Tools/irene-amd/thredds_rm public/${LOGIN}/${R_DODS} # > out_dods_rm 2>&1
+      $(ccc_home -u igcmg)/Tools/irene/thredds_rm public/${LOGIN}/${R_DODS} # > out_dods_rm 2>&1
       status=$?
     fi
@@ -979,5 +994,5 @@
 #    fi
 
-    $(ccc_home -u igcmg)/Tools/irene-amd/thredds_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
+    $(ccc_home -u igcmg)/Tools/irene/thredds_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
     status=$?
 
@@ -1912,5 +1927,5 @@
   fi
 
-  $( ccc_home -u igcmg)/Tools/irene-amd/bin/rebuild_nemo ${1} ${2}
+  $( ccc_home -u igcmg)/Tools/irene/bin/rebuild_nemo ${1} ${2}
 
   IGCM_debug_PopStack "IGCM_sys_rebuild_nemo"
Index: branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_irene.ksh
===================================================================
--- branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_irene.ksh	(revision 1567)
+++ branches/libIGCM_CESMEP/libIGCM_sys/libIGCM_sys_irene.ksh	(revision 1585)
@@ -38,5 +38,12 @@
 #====================================================
 # Turn in dry run mode ? (sys_Put_Rest, sys_Put_Out, sys_Get)
-typeset -r DRYRUN=${DRYRUN:=0}
+if ([ X${DRYRUN} != X ] && [ ${DRYRUN} = 4 ]) ; then
+  typeset -r DRYRUN=0
+  typeset -r DRYRUN_DEBUG=4
+else
+  typeset -r DRYRUN=${DRYRUN:=0}
+  typeset -r DRYRUN_DEBUG=0
+fi
+
 
 # YOU MUST COMPILE YOUR EXE FILES FOR DRYRUN MODE !
@@ -54,4 +61,7 @@
 # |    3     |       yes           |    no      |  no     |      no                   |
 # -------------------------------------------------------------------------------------
+# |    4     |       yes           |    yes     |  creation of RUN_DIR and Job_debug  |
+# -------------------------------------------------------------------------------------
+
 
 #=====================================================
@@ -70,9 +80,10 @@
 typeset MASTER=irene
 # add default project on irene
-if [ ! -z $BRIDGE_MSUB_PROJECT ]; then 
-    typeset PROJECT=$(echo ${BRIDGE_MSUB_PROJECT} | cut -d@ -f1 )
-else
-    typeset PROJECT=$(echo ${CCCHOME} | cut -d/ -f5 )
-fi
+typeset PROJECT=$(echo ${BRIDGE_MSUB_PROJECT:=gen0826} | cut -d@ -f1 )
+# if [ ! -z $BRIDGE_MSUB_PROJECT ]; then 
+#     typeset PROJECT=$(echo ${BRIDGE_MSUB_PROJECT} | cut -d@ -f1 )
+# else
+#     typeset PROJECT=$(echo ${CCCHOME} | cut -d/ -f5 )
+# fi
 # jobWarningDelay in seconds
 typeset jobWarningDelay=${BRIDGE_MSUB_MAXTIME}
@@ -96,12 +107,16 @@
 # Set environment tools (ferret, nco, cdo, rebuild, ...)
 #====================================================
+typeset CCCOS=${CCCOS:=$( ccc_os )}
+
 if [ X${TaskType} = Xcomputing ] ; then
   IGCM_debug_Print 1 "Modules will be loaded later in IGCM_sys_activ_variables."
 else
   module purge > /dev/null 2>&1
-  ##. /ccc/cont003/home/igcmg/igcmg/MachineEnvironment/irene/env_irene > /dev/null 2>&1
-  . $( ccc_home -u igcmg)/MachineEnvironment/irene/env_irene > /dev/null 2>&1
-  ##. /ccc/cont003/home/igcmg/igcmg/MachineEnvironment/irene/env_atlas_irene > /dev/null 2>&1
-  . $( ccc_home -u igcmg)/MachineEnvironment/irene/env_atlas_irene > /dev/null 2>&1
+  if [ X${CCCOS} = X"Rhel_8__x86_64" ] ; then
+      . $( ccc_home -u igcmg)/MachineEnvironment/irene/env_atlas_irene > /dev/null 2>&1
+  else
+      . $( ccc_home -u igcmg)/MachineEnvironment/irene_prev/env_irene > /dev/null 2>&1
+      . $( ccc_home -u igcmg)/MachineEnvironment/irene_prev/env_atlas_irene > /dev/null 2>&1
+  fi
 
   export PCMDI_MP=/ccc/work/cont003/igcmg/igcmg/PCMDI-MP
@@ -214,4 +229,5 @@
 function IGCM_sys_defineArchives {
   IGCM_debug_PushStack "IGCM_sys_defineArchives"
+
   # Load dfldatadir depending on the project used for submission (default) or set in config.card (optional)
   if [ X${config_UserChoices_DataProject} = X ] || [ X${config_UserChoices_DataProject} = XDEFAULT ]; then
@@ -222,5 +238,4 @@
       IGCM_debug_Print 1 "Load dfldatadir for forced gencmip6 project"
     else 
-      echo "Load dfldatadir for project ${PROJECT}"
       module switch dfldatadir dfldatadir/${PROJECT}
       IGCM_debug_Print 1 "Load dfldatadir for project ${PROJECT}"
@@ -231,8 +246,8 @@
     IGCM_debug_Print 1 "Load dfldatadir for DataProject read in config.card : ${config_UserChoices_DataProject}"
   fi
+
  #====================================================
  #- RUN_DIR_PATH : Temporary working directory (=> TMP)
  typeset -r RUN_DIR_PATH=${RUN_DIR_PATH:=${CCCSCRATCHDIR}/RUN_DIR/${BRIDGE_MSUB_JOBID}_${$}}
-
   if [ ! X${config_UserChoices_ARCHIVE} = X ]; then
     #====================================================
@@ -275,5 +290,4 @@
     R_FIG=${STORAGE}/IGCM_OUT
   fi
-
   #====================================================
   #- CMIP6 (hosting CMIP6 files produced by XIOS2 and configured by dr2xml)
